<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%--
Author: Peter Troshin
Date: May 2011
This is a JSP fragment to be inserted into document, cannot be used alone
TODO refactor
--%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>

<c:import url="../template_header.jsp" >
	<c:param name="title">JABAWS Web Services Status</c:param>
	<c:param name="html_custom_css"><link href="${pageContext.request.contextPath}/static/css/table.css"
										  rel="stylesheet"></c:param>
</c:import>

<div class="row" id="mainpage">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">JABAWS Services Status</h1>
			</div>
			<div class="panel-body">

				<div style="margin: 20px ">

					<c:set var="host" value="${pageContext.request.scheme}://${pageContext.request.serverName}:${pageContext.request.serverPort}${pageContext.request.contextPath}" />

					<ul>
						<li>
							This servlet tests if the web services are healthy on the tomcat instance on which JABAWS is deployed. <br/>
							If the tomcat instance is mapped to another "proxy" web server, the servlet does not test availability of <br/>
							the web services at the endpoints of this external web server.</li>
						<li>All the web services are tested while this page is being loaded.</li>
						<li>If you want to test the services again, reload this page.</li>
						<li>Click on the service status to see the results of the testing.</li>
						<li>Server tested: <a href="${host}">${host}</a> </li>
						<li>Time of execusion: ${timeexec} msec</li>
						<li> Your IP is ${pageContext.request.remoteAddr}</li>
					</ul>
					<br/>
					<h3 style="text-align: center;color: green">
						Alignment Web Services
					</h3>
					<table class="its" >
						<thead>
						<tr>
							<th title="Service name" width="100px">Service</th>
							<th title="Service status">Version</th>
							<th title="Service status">Status</th>
							<th title="Service details">Reference and more details</th>
						</tr>
						</thead>
						<c:forEach items="${results}" var="res" varStatus="status">
							<c:if test="${res.group=='alignment'}">
								<c:if test="${status.count%2==0}">
									<tr class="even">
								</c:if><c:if test="${status.count%2!=0}">
								<tr class="odd">
							</c:if>
								<td width="100px"><a href="${host}/${res.service}?wsdl">${res.service}</a></td>
								<td>${res.version}</td>
								<c:if test="${res.status}">
									<td><div class="source">
										<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
											 title="Click to open/close"><span style="color: green">OK</span></div>
										<div class="body collapsed" style="max-width: 400px;">
											<pre>${res.details}</pre>
										</div></div></td>
								</c:if>
								<c:if test="${!res.status}">
									<td><div class="source">
										<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
											 title="Click to open/close"><span style="color: red">Fail</span></div>
										<div class="body collapsed" style="max-width: 400px;">
											<pre>${res.details}</pre>
										</div></div></td>
								</c:if>
								<td><div class="source">
									<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
										 title="Click to open/close"><span style="color: brown">INFO</span></div>
									<div class="body collapsed" style="max-width: 500px;">
										<pre>${res.reference}</pre>
									</div></div></td>
								</tr>
							</c:if>
						</c:forEach>
					</table>

					<br/>
					<br/>
					<h3 style="text-align: center;color: green;">
						Disorder Web Services
					</h3>
					<table class="its" >
						<thead>
						<tr>
							<th title="Service name" width="100px">Service</th>
							<th title="Service status">Version</th>
							<th title="Service status">Status</th>
							<th title="Service details">Reference and more details</th>
						</tr>
						</thead>
						<c:forEach items="${results}" var="res" varStatus="status">
							<c:if test="${res.group=='disorder'}">
								<c:if test="${status.count%2==0}">
									<tr class="even">
								</c:if><c:if test="${status.count%2!=0}">
								<tr class="odd">
							</c:if>
								<td width="100px"><a href="${host}/${res.service}?wsdl">${res.service}</a></td>
								<td>${res.version}</td>
								<c:if test="${res.status}">
									<td><div class="source">
										<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
											 title="Click to open/close"><span style="color: green">OK</span></div>
										<div class="body collapsed" style="max-width: 400px;">
											<pre>${res.details}</pre>
										</div></div></td>
								</c:if>
								<c:if test="${!res.status}">
									<td><div class="source">
										<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
											 title="Click to open/close"><span style="color: red">Fail</span></div>
										<div class="body collapsed" style="max-width: 400px;">
											<pre>${res.details}</pre>
										</div></div></td>
								</c:if>
								<td><div class="source">
									<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
										 title="Click to open/close"><span style="color: brown">INFO</span></div>
									<div class="body collapsed" style="max-width: 500px;">
										<pre>${res.reference}</pre>
									</div></div></td>
								</tr>
							</c:if>
						</c:forEach>
					</table>

					<br/>
					<br/>
					<h3 style="text-align: center;color: green;">
						Other Web Services
					</h3>
					<table class="its" >
						<thead>
						<tr>
							<th title="Service name" width="100px">Service</th>
							<th title="Service status">Version</th>
							<th title="Service status">Status</th>
							<th title="Service details">Reference and more details</th>
						</tr>
						</thead>
						<c:forEach items="${results}" var="res" varStatus="status">
							<c:if test="${res.group!='alignment' and res.group!='disorder'}">
								<c:if test="${status.count%2==0}">
									<tr class="even">
								</c:if><c:if test="${status.count%2!=0}">
								<tr class="odd">
							</c:if>
								<td width="100px"><a href="${host}/${res.service}?wsdl">${res.service}</a></td>
								<td>${res.version}</td>
								<c:if test="${res.status}">
									<td><div class="source">
										<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
											 title="Click to open/close"><span style="color: green">OK</span></div>
										<div class="body collapsed" style="max-width: 400px;">
											<pre>${res.details}</pre>
										</div></div></td>
								</c:if>
								<c:if test="${!res.status}">
									<td><div class="source">
										<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
											 title="Click to open/close"><span style="color: red">Fail</span></div>
										<div class="body collapsed" style="max-width: 400px;">
											<pre>${res.details}</pre>
										</div></div></td>
								</c:if>
								<td><div class="source">
									<div class="header collapsed" onclick="$(this).next('.body.collapsed').toggle();"
										 title="Click to open/close"><span style="color: brown">INFO</span></div>
									<div class="body collapsed" style="max-width: 500px;">
										<pre>${res.reference}</pre>
									</div></div></td>
								</tr>
							</c:if>
						</c:forEach>
					</table>

					<p>If you would like to integrate JABAWS with automated health check system you may want to use
						the HTTP code response service checker. It responds with HTTP status code depending on the status
						of the web service.
						For more information please refer to <a href="${pageContext.request.contextPath}/man_serverwar.jsp#usingWsTester">
							Testing JABAWS server</a> help page.</p>
				</div><!-- margin div -->
			</div>
		</div>
	</div>
</div>

<jsp:include page="../template_footer.jsp" />
